Page MenuHomePhabricator

InvalidArgumentException from line 13 of EchoIcon.php: The trash icon is not registered
Closed, ResolvedPublic

Description

Error Message

InvalidArgumentException from line 13 of /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/formatters/EchoIcon.php: The trash icon is not registered

Stack Trace

#0 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/formatters/EchoModelFormatter.php(14): EchoIcon::getUrl(string, string)
#1 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/formatters/EchoEventFormatter.php(63): EchoModelFormatter->formatModel(PageTriageAddDeletionTagPresentationModel)
#2 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/DataOutputFormatter.php(171): EchoEventFormatter->format(EchoEvent)
#3 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/DataOutputFormatter.php(136): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, LanguageEn)
#4 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/api/ApiEchoNotifications.php(265): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, LanguageEn)
#5 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/api/ApiEchoNotifications.php(105): ApiEchoNotifications->getPropList(User, array, array, integer, NULL, string, NULL, boolean, boolean)
#6 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/api/ApiEchoNotifications.php(36): ApiEchoNotifications->getLocalNotifications(array)
#7 /srv/mediawiki/php-1.31.0-wmf.27/includes/api/ApiQuery.php(249): ApiEchoNotifications->execute()
#8 /srv/mediawiki/php-1.31.0-wmf.27/includes/api/ApiMain.php(1580): ApiQuery->execute()
#9 /srv/mediawiki/php-1.31.0-wmf.27/includes/api/ApiMain.php(542): ApiMain->executeAction()
#10 /srv/mediawiki/php-1.31.0-wmf.27/includes/api/ApiMain.php(513): ApiMain->executeActionWithErrorHandling()
#11 /srv/mediawiki/php-1.31.0-wmf.27/api.php(94): ApiMain->execute()
#12 /srv/mediawiki/w/api.php(3): include(string)
#13 {main}

Notes

Event Timeline

mmodell created this task.Apr 3 2018, 7:20 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptApr 3 2018, 7:20 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Catrope added a subscriber: Catrope.Apr 5 2018, 7:03 PM

Alternate stack trace found in logstash:

 	#0 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php(111): EchoIcon::getUrl(string, string)
#1 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/formatters/SpecialNotificationsFormatter.php(18): SpecialNotificationsFormatter->getIconURL(PageTriageAddDeletionTagPresentationModel)
#2 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/formatters/EchoEventFormatter.php(63): SpecialNotificationsFormatter->formatModel(PageTriageAddDeletionTagPresentationModel)
#3 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/DataOutputFormatter.php(171): EchoEventFormatter->format(EchoEvent)
#4 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/DataOutputFormatter.php(136): EchoDataOutputFormatter::formatNotification(EchoEvent, User, string, LanguageEn)
#5 /srv/mediawiki/php-1.31.0-wmf.27/extensions/Echo/includes/special/SpecialNotifications.php(59): EchoDataOutputFormatter::formatOutput(EchoNotification, string, User, LanguageEn)
#6 /srv/mediawiki/php-1.31.0-wmf.27/includes/specialpage/SpecialPage.php(522): SpecialNotifications->execute(NULL)
#7 /srv/mediawiki/php-1.31.0-wmf.27/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(NULL)
#8 /srv/mediawiki/php-1.31.0-wmf.27/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.31.0-wmf.27/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.31.0-wmf.27/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/php-1.31.0-wmf.27/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}
Catrope triaged this task as Unbreak Now! priority.Apr 5 2018, 7:04 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptApr 5 2018, 7:04 PM

Change 424378 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@master] Revert "Remove unused 'trash' icon"

https://gerrit.wikimedia.org/r/424378

Catrope claimed this task.Apr 5 2018, 7:07 PM

Change 424379 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/extensions/Echo@wmf/1.31.0-wmf.28] Revert "Remove unused 'trash' icon"

https://gerrit.wikimedia.org/r/424379

Change 424378 merged by jenkins-bot:
[mediawiki/extensions/Echo@master] Revert "Remove unused 'trash' icon"

https://gerrit.wikimedia.org/r/424378

Change 424379 merged by jenkins-bot:
[mediawiki/extensions/Echo@wmf/1.31.0-wmf.28] Revert "Remove unused 'trash' icon"

https://gerrit.wikimedia.org/r/424379

mmodell closed this task as Resolved.Apr 6 2018, 9:18 AM